﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DoenaSoft.DVDProfiler.CastDemoClient_V2
{
    public partial class LoginForm : Form
    {
        private Settings m_Settings;

        public LoginForm(Settings settings)
        {
            m_Settings = settings;
            InitializeComponent();
        }

        private void AbortButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }

        private void OKButton_Click(object sender, EventArgs e)
        {
            if (String.IsNullOrEmpty(this.UserNameTexBox.Text))
            {
                MessageBox.Show("Please enter User Name or cancel.");
                return;
            }
            this.m_Settings.UserName = this.UserNameTexBox.Text;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
    }
}
